#!/bin/sh
# compile_ddl (version V1.0-001)
#     Compile all the .ddl files in the specified directory to produce
#     a symbol table file suitable for loading by dtf.
#
#     syntax:   dds [ddl-directory] [dds-file] [ddl-image]
#
#         ddl-directory  -  default is the current directory
#         dds-file       -  default is dtf.dds in the current directory
#	  ddl-image	 -  ddl image location (default assumes its in the
#			    current path.
#
dds_file='dtf.dds'
ddl_dir=
ddl=ddl
if [ -n "$1" ]
then
    ddl_dir=$1
fi
if [ -n "$2" ]
then
    dds_file=$2
fi
if [ -n "$3" ]
then
    ddl=$3
fi
ddl_list=`ls -1A $ddl_dir*.ddl | grep -iv 'ddlinc.ddl\|d_misc.ddl'`
if [ -z "$ddl_list" ]
then
    echo "compile_ddl, error: no .ddl files found"
else
    $ddl -o $dds_file $ddl_list
    if [ ! -s $dds_file ]
    then
	rm -f $dds_file
    fi
    exit 0
fi
exit
